let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const setEnvironment = async (
    organization: string,
    userId: string,
    wallVisibility: boolean,
    roofVisibility: boolean,
    shadowVisibility: boolean,
    renderDistance: number,
    limitDistance: boolean,
    projectId: string
) => {

    try {
        const response = await fetch(
            `${url_Backend_dwinzo}/api/V1/SetEnvironments`,
            {
                method: "POST",
                headers: {
                    Authorization: "Bearer <access_token>",
                    "Content-Type": "application/json",
                    token: localStorage.getItem("token") || "",
                    refresh_token: localStorage.getItem("refreshToken") || "",
                },
                body: JSON.stringify({ organization, userId, wallVisibility, roofVisibility, shadowVisibility, renderDistance, limitDistance, projectId }),
            }
        );
        const newAccessToken = response.headers.get("x-access-token");
        if (newAccessToken) {
            localStorage.setItem("token", newAccessToken);
        }
        if (!response.ok) {
            echo.error("Failed to set environment data");
        }

        const result = await response.json();
        return result;
    } catch {
        echo.error("Failed to set environment data");
    }
};
